{

 Copyright 2020 Sammarco Francesco (francesco.sammarco@gmail.com)

 This file is part of Korg Remote Desktop.

 Korg Remote Desktop is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Korg Remote Desktop is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Korg Remote Desktop.  If not, see <http://www.gnu.org/licenses/>.

}

program korg_remote_desktop;

{$mode objfpc}{$H+}

{

 Custom options
 -dUseCThreads            : required for multithreading to work
 -dWriteDebug             : write exceptions to terminal when they occur (mainly for debugging)
 -dGetScreenInMainThread  : it is used to get the screen content from the main thread and not from the secondary ones. This is because on ubuntu if I don't use this option it makes me crash the program
 -dMyVersion              : always
 -dSendWithMemory         : used to send data as tmemory and not as tstring
 -dSendWithCompression    : used to compress memories (never)
 -dFilterFromIpPort       : always
}

uses
  {$IFDEF UNIX}
  cthreads,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, lazmouseandkeyinput, uMain, laz_synapse;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Scaled:=True;
  Application.Initialize;
  Application.CreateForm(TFrmMain, FrmMain);
  Application.Run;
end.

